Retrieves project statuses
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
project_status| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| name |
Name of the project status |
string |
Required Max length: 50 |
| is_default |
Is default (auto selected when creating new project) |
boolean | |
| is_closed |
Inform if this status means that the project/installation is archived |
boolean |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating project_status |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating project_status |
sales_organization | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 255 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e4cf9da2-3d9d-4c87-ab84-b148780274de",
"name": "sample string 2",
"is_default": true,
"is_closed": true,
"sales_organization_id": "8ec2adca-f33d-4e8a-bf17-77beb6228e07",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e1472e70-9acb-4dba-bafa-a47aa9835c3a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5b7cc18d-0290-4c22-993c-f94c41f61306",
"db_currency_id": "7d6c4151-bfdb-4bab-8191-a6d67c0bb8aa",
"db_language_id": "317497ff-21a1-41b4-979d-b1c11dd16302",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-12T17:32:56.895902+00:00"
},
"code": "sample string 7",
"modified_dateutc": "2026-11-12T17:32:56.895902+00:00"
}